Stock Search
curl --request GET \
--url https://api.chicago.global/v1/stock/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chicago.global/v1/stock/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chicago.global/v1/stock/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chicago.global/v1/stock/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chicago.global/v1/stock/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chicago.global/v1/stock/search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chicago.global/v1/stock/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Stock
Stock Search
Search stocks by symbol, name, sector, or industry with typo-tolerant fuzzy matching.
GET
/
v1
/
stock
/
search
Stock Search
curl --request GET \
--url https://api.chicago.global/v1/stock/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chicago.global/v1/stock/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chicago.global/v1/stock/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chicago.global/v1/stock/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chicago.global/v1/stock/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chicago.global/v1/stock/search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chicago.global/v1/stock/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Search stocks by symbol, name, sector, or industry with typo-tolerant fuzzy matching.
Query Parameters
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query | string | Yes | — | Search query (typo-tolerant, e.g., AAPL, apple, nvidia, semiconductor) |
market | string | No | — | Filter by market (e.g., United States, United Kingdom) |
sector | string | No | — | Filter by sector (e.g., Technology, Healthcare) |
limit | integer | No | 20 | Max results (1-100) |
Response
Returns an array of matching stocks:[
{
"symbol": "AAPL.O",
"name": "Apple Inc",
"sector": "Technology",
"industry": "Phones & Handheld Devices",
"market": "United States",
"exchange": "NASDAQ",
"currency": "USD"
},
{
"symbol": "164A.T",
"name": "Applepark Co Ltd",
"sector": "Industrials",
"industry": "Highways & Rail Tracks",
"market": "Japan",
"exchange": "Tokyo",
"currency": "JPY"
}
]
Examples
# Search by name
curl "https://api.chicago.global/v1/stock/search?query=apple&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"
# Search by symbol
curl "https://api.chicago.global/v1/stock/search?query=AAPL" \
-H "Authorization: Bearer YOUR_API_KEY"
# Filter by market and sector
curl "https://api.chicago.global/v1/stock/search?query=semiconductor&market=United%20States§or=Technology&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Search query (typo-tolerant)
Examples:
"AAPL"
"apple"
"nvidia"
"semiconductor"
Filter by market
Example:
"United States"
Filter by sector
Example:
"Technology"
Max results
Required range:
1 <= x <= 100Response
Successful Response
Last modified on April 8, 2026
⌘I